<?php

require_once "mo_ldap_pages.php";

$pointers = array();
$tab= 'default';

if (get_option('overall_plugin_tour') && get_option('overall_plugin_tour')=='true') {

    $pointers['miniorange-default-tab'] = array(
        'title' => sprintf('<h3>%s</h3>', esc_html__('LDAP Configuration    [1 of 13 Steps]')),
        'content' => sprintf('<p>%s</p>', esc_html__('Here, you can configure the LDAP connection and user search. You can test the configuration as well.')),
        'anchor_id' => '#ldap_default_tab_pointer',
        'edge' => 'left',
        'align' => 'right',
        'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
    );
    
    $pointers['miniorange-signin-settings-tab'] = array(
        'title' => sprintf('<h3>%s</h3>', esc_html__('Sign-In settings    [2 of 13 Steps]')),
        'content' => sprintf('<p>%s</p>', esc_html__('Here, you can configure different sign-in options for your website.')),
        'anchor_id' => '#ldap_signin_settings_tab_pointer',
        'edge' => 'left',
        'align' => 'right',
        'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
    );

    $pointers['miniorange-role-mapping-tab'] = array(
        'title' => sprintf('<h3>%s</h3>', esc_html__('Role Mapping    [3 of 13 Steps]')),
        'content' => sprintf('<p>%s</p>', esc_html__('Here, you can define the site access level for the user based on the LDAP security groups')),
        'anchor_id' => '#ldap_role_mapping_tab_pointer',
        'edge' => 'left',
        'align' => 'right',
        'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
    );

    $pointers['miniorange-attribute-mapping-tab'] = array(
        'title' => sprintf('<h3>%s</h3>', esc_html__('Attribute Mapping    [4 of 13 Steps]')),
        'content' => sprintf('<p>%s</p>', esc_html__('Here, you can map the different LDAP attributes with the wordpress user profile fields')),
        'anchor_id' => '#ldap_attribute_mapping_tab_pointer',
        'edge' => 'left',
        'align' => 'right',
        'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
    );

    $pointers['miniorange-add-on-tab'] = array(
        'title' => sprintf('<h3>%s</h3>', esc_html__('Available Add-ons    [5 of 13 Steps]')),
        'content' => sprintf('<p>%s</p>',"Get added functionality with these Add-Ons:
        <br><b>1.Sync Users LDAP Directory</b>
        <br><b>2.Directory Sync</b>
        <br><b>3.BuddyPress Extended Profile</b>
        <br><b>4.Profile Picture Synchronization</b>
        <br><b>And Many More...</b>"),
        'anchor_id' => '#mo_ldap_add_on_layout',
        'edge' => 'right',
        'align' => 'top',
        'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
    );

    $pointers['miniorange-feature-request-tab'] = array(
        'title' => sprintf('<h3>%s</h3>', esc_html__('Feature Request    [6 of 13 Steps]')),
        'content' => sprintf('<p>%s</p>', esc_html__('Did we miss something? Reach out to us in case you have any additional requirements.')),
        'anchor_id' => '#ldap_feature_request_tab_pointer',
        'edge' => 'left',
        'align' => 'right',
        'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
    );

    $pointers['miniorange-configuration-settings-tab'] = array(
        'title' => sprintf('<h3>%s</h3>', esc_html__('Configuration settings    [7 of 13 Steps]')),
        'content' => sprintf('<p>%s</p>', esc_html__('Export the plugin configuration to send to us for debugging purposes.')),
        'anchor_id' => '#ldap_config_settings_tab_pointer',
        'edge' => 'left',
        'align' => 'right',
        'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
    );
	 $pointers['miniorange-users-report-tab'] = array(
        'title' => sprintf('<h3>%s</h3>', esc_html__('Reports    [8 of 13 Steps]')),
        'content' => sprintf('<p>%s</p>', esc_html__('Here, you can get authentication reports and logs.')),
        'anchor_id' => '#ldap_User_Report_tab_pointer',
        'edge' => 'right',
        'align' => 'left',
        'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
    );

    $pointers['miniorange-licensing-plans-tab'] = array(
        'title' => sprintf('<h3>%s</h3>', esc_html__('Licensing plans    [9 of 13 Steps]')),
        'content' => sprintf('<p>%s</p>', esc_html__('Here, you can check our LDAP premium plugin plans and add-ons.')),
        'anchor_id' => '#license_upgrade',
        'edge' => 'right',
        'align' => 'left',
        'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
    );

    $pointers['miniorange-troubleshooting-tab'] = array(
        'title' => sprintf('<h3>%s</h3>', esc_html__('Troubleshooting    [10 of 13 Steps]')),
        'content' => sprintf('<p>%s</p>', esc_html__('Troubleshoot common issues faced during configuration of the plugin')),
        'anchor_id' => '#ldap_troubleshooting_tab_pointer',
        'edge' => 'right',
        'align' => 'left',
        'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
    );


    $pointers['miniorange-account-setup-tab'] = array(
        'title' => sprintf('<h3>%s</h3>', esc_html__('Account setup (Registration is optional)    [11 of 13 Steps]')),
        'content' => sprintf('<p>%s</p>', esc_html__('Register with miniOrange for upgrades to professional versions as well as for greater level of support.')),
        'anchor_id' => '#ldap_account_setup_tab_pointer',
        'edge' => 'right',
        'align' => 'left',
        'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
    );

    $pointers['miniorange-premium-plugin-trial-tab'] = array(
        'title' => sprintf('<h3>%s</h3>', esc_html__('Request for Trial  [12 of 13 Steps]')),
        'content' => sprintf('<p>%s</p>', esc_html__('Contact us to get a trial of the LDAP premium plugin features.')),
        'anchor_id' => '#ldap_trial_for_premium_plugin',
        'edge' => 'right',
        'align' => 'left',
        'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
    );

    $pointers['miniorange-restart-plugin-tour'] = array(
        'title' => sprintf('<h3>%s</h3>', esc_html__('Click when you need to restart this tour    [13 of 13 Steps]')),
        'content' => sprintf('<p>%s</p>', esc_html__('Revisit plugin tour')),
        'anchor_id' => '#configure-restart-plugin-tour',
        'edge' => 'right',
        'align' => 'left',
        'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
    );

    update_option('overall_plugin_tour','false');
    update_option('load_support_tab','true');
}
else if(get_option('load_support_tab') && get_option('load_support_tab') =='true') {
    $pointers['miniorange-support-ldap'] = array(
        'title' => sprintf('<h3>%s</h3>', esc_html__('We are here!')),
        'content' => sprintf('<p>%s</p>', esc_html__('Get in touch with us and we will help you setup the plugin in no time.')),
        'anchor_id' => '#mo_ldap_support_layout_ldap',
        'edge' => 'right',
        'align' => 'left',
        'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
    );
    update_option('load_support_tab','false');

}
else {
    if (array_key_exists('tab', $_GET))
        $tab = $_GET['tab'];
    if ($tab == 'default' && get_option('restart_ldap_tour') && get_option('restart_ldap_tour')=='true') {
        $pointers['miniorange-select-your-ldap-server'] = array(
            'title' => sprintf('<h3>%s</h3>', esc_html__('Directory Server Protocol    [1 of 9 Steps]')),
            'content' => sprintf('<p>%s</p>', esc_html__('Select ldap or ldaps from the dropdown list.')),
            'anchor_id' => '#ldap_server_url_pointer',
            'edge' => 'left',
            'align' => 'left',
            'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
        );

        $pointers['miniorange-ldap-server-url'] = array(
            'title' => sprintf('<h3>%s</h3>', esc_html__('Directory Server URL   [2 of 9 Steps]')),
            'content' => sprintf('<p>%s</p>', esc_html__('Enter the hostname or IP address of the directory server.')),
            'anchor_id' => '#ldap_server',
            'edge' => 'left',
            'align' => 'left',
            'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
        );

        $pointers['miniorange-select-your-ldap-server-port'] = array(
            'title' => sprintf('<h3>%s</h3>', esc_html__('Directory Server Port    [3 of 9 Steps]')),
            'content' => sprintf('<p>%s</p>', esc_html__(' Enter your LDAP server port number.')),
            'anchor_id' => '#mo_ldap_server_port_number_div',
            'edge' => 'left',
            'align' => 'left',
            'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
        );

        $pointers['miniorange-ldap-server-username'] = array(
            'title' => sprintf('<h3>%s</h3>', esc_html__('Directory Service Account Name    [4 of 9 Steps]')),
            'content' => sprintf('<p>%s</p>', esc_html__('Enter the username of Directory Service account which will be used to establish connection.')),
            'anchor_id' => '#ldap_server_username',
            'edge' => 'left',
            'align' => 'left',
            'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
        );
        $pointers['miniorange-ldap-server-password'] = array(
            'title' => sprintf('<h3>%s</h3>', esc_html__('Service Account Password    [5 of 9 Steps]')),
            'content' => sprintf('<p>%s</p>', esc_html__('Enter the password of Directory Service Account')),
            'anchor_id' => '#ldap_server_password',
            'edge' => 'left',
            'align' => 'left',
            'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
        );

        $pointers['miniorange-ldap-search-base'] = array(
            'title' => sprintf('<h3>%s</h3>', esc_html__('Search Base    [6 of 9 Steps]')),
            'content' => sprintf('<p>%s</p>', esc_html__('Enter the distinguished name of Directory Container which contains all the users who will authenticate to the site.')),
            'anchor_id' => '#search_base_ldap',
            'edge' => 'left',
            'align' => 'left',
            'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
        );
        $pointers['miniorange-ldap-search-filter'] = array(
            'title' => sprintf('<h3>%s</h3>', esc_html__('Username Attribute    [7 of 9 Steps]')),
            'content' => sprintf('<p>%s</p>', esc_html__('Select the LDAP attribute from dropdown which will be used by Directory users to login.')),
            'anchor_id' => '#search_filter_ldap',
            'edge' => 'left',
            'align' => 'left',
            'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
        );
        $pointers['miniorange-test-auth'] = array(

            'title' => sprintf('<h3>%s</h3>', esc_html__('Test Authentication    [8 of 9 Steps]')),
            'content' => sprintf('<p>%s</p>', esc_html__('Check the user authentication by entering the user credentials. Use the configured username attribute for testing')),
            'anchor_id' => '#Test_auth_ldap',
            'edge' => 'left',
            'align' => 'left',
            'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
        );

        $pointers['configure-ldap-service-restart-tour'] = array(
            'title' => sprintf('<h3>%s</h3>', esc_html__('Click when you need me!    [9 of 9 Steps]')),
            'content' => sprintf('<p>%s</p>', esc_html__('Revisit tour')),
            'anchor_id' => '#configure-service-restart-tour',
            'edge' => 'left',
            'align' => 'left',
            'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
        );

    }

    if ($tab == 'config_settings'&& get_option('config_settings_tour') && get_option('config_settings_tour')=='true') {
        $pointers['minorange-ldap-save-config'] = array(
            'title' => sprintf('<h3>%s</h3>', esc_html__('Save Config     [1 of 3 Steps]')),
            'content' => sprintf('<p>%s</p>', esc_html__('Enabling this option will ensure that the plugin configuration are not deleted when plugin is uninstalled')),
            'anchor_id' => '#enable_save_config_ldap',
            'edge' => 'left',
            'align' => 'left',
            'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
        );
        $pointers['miniorange-ldap-export-feature'] = array(
            'title' => sprintf('<h3>%s</h3>', esc_html__('Export configuration    [2 of 3 Steps]')),
            'content' => sprintf('<p>%s</p>', esc_html__('If you are having trouble setting up the plugin, click here to export the configuration and mail it to us at info@xecurify.com.')),
            'anchor_id' => '#mo_export',
            'edge' => 'left',
            'align' => 'left',
            'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
        );
        $pointers['miniorange-redirection-ldap-config-restart-tour'] = array(
            'title' => sprintf('<h3>%s</h3>', esc_html__('Click when you need me!    [3 of 3 Steps]')),
            'content' => sprintf('<p>%s</p>', esc_html__('Revisit tour')),
            'anchor_id' => '#export-config-service-restart-tour',
            'edge' => 'left',
            'align' => 'left',
            'where' => array('toplevel_page_mo_ldap_local_login') // <-- Please note this
        );
    }
}

return $pointers;